Package nu.xom

# Class WellformednessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
nu.xom.XMLException
nu.xom.WellformednessException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IllegalAddException`, `IllegalDataException`, `NamespaceConflictException`

public class WellformednessException extends XMLException

Indicates an attempt to do or create something that could not possibly be serialized in a namespace well-formed XML 1.0 document.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WellformednessException(String message)`
Creates a new `WellformednessException` with a detail message.
`WellformednessException(String message, Throwable cause)`
Creates a new `WellformednessException` with a detail message and an underlying root cause.

## Method Summary

### Methods inherited from class nu.xom.XMLException

`getCause, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WellformednessException

public WellformednessException(String message)

Creates a new `WellformednessException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

### WellformednessException

public WellformednessException(String message, Throwable cause)

Creates a new `WellformednessException` with a detail message and an underlying root cause.

Parameters:
  `message` - a string indicating the specific problem
  `cause` - the original cause of this exception